﻿@using Microsoft.AspNetCore.Identity
@using BeerOverflow.Models

@inject SignInManager<User> SignInManager
@inject UserManager<User> UserManager
@inject BeerOverflow.Services.Contracts.IWishListService wishListService
@inject BeerOverflow.Services.Contracts.IDrankListService drankListService

<ul class="navbar-nav ml-auto">
    @if (SignInManager.IsSignedIn(User))
    {
        <li class="nav-item">
            <a class="nav-link" asp-area="" asp-controller="WishList" asp-action="Index"><i class="far fa-heart mr-1"></i><small class="text-gray"> (@wishListService.Count(int.Parse(UserManager.GetUserId(User))))</small></a>
        </li>
        <li class="nav-item">
            <a class="nav-link" asp-area="" asp-controller="DrankList" asp-action="Index"><i class="fas fa-beer mr-1"></i><small class="text-gray"> (@drankListService.Count(int.Parse(UserManager.GetUserId(User))))</small></a>
        </li>
        <li class="nav-item">
            <a class="nav-link" asp-area="Identity" asp-page="/Account/Manage/Index" title="Manage" id="manage"> <i class="fas fa-user-alt mr-1 text-gray"></i>@UserManager.GetUserName(User)</a>
        </li>
        <li class="nav-item">
            <form id="logoutForm" class="form-inline" asp-area="Identity" asp-page="/Account/Logout" asp-route-returnUrl="@Url.Action("Index", "Home", new { area = "" })">
                <button id="logout" type="submit" class="nav-link btn btn-link text-dark">Logout</button>
            </form>
        </li>
    }
    else
    {
        <li class="nav-item">
            <a class="nav-link" id="register" asp-area="Identity" asp-page="/Account/Register">Register</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" id="login" asp-area="Identity" asp-page="/Account/Login"> <i class="fas fa-user-alt mr-1 text-gray"></i>Login</a>
        </li>
    }
</ul>
